﻿(function () {

    'use strict';

    function updateApps()
    {
        var BGManager = chrome.extension.getBackgroundPage().background;

        if (BGManager.apps !== null) {
            var innerHTML = "";
            for (var i = 0; i < BGManager.apps.length; i++) {
                var app = BGManager.apps[i];
                if (!(app.appOptions & 1))
                    innerHTML += '<div class="row"><img src="' + app.icon + '" class="icon" /><a class="name" target="_blank" href="' + BGManager.portalUrl + '/RelayService/Redirect/' + app.applicationGUID + '">' + app.name + '</a></div>';
            }
            document.getElementById('apps').innerHTML = innerHTML;
        }
    }

    function onRefresh()
    {
        var BGManager = chrome.extension.getBackgroundPage().background;

        BGManager.refresh();

        updateApps();
    }

    var load = function () {

        document.getElementById("btnRefresh").addEventListener("click", onRefresh);

        chrome.storage.sync.get({
            portalLocation: '',
        }, function (items) {
            var portalUrl = items.portalLocation;

            if (typeof portalUrl !== "undefined" && portalUrl !== null && portalUrl !== '') {

                document.getElementById('btnPortal').href = portalUrl;
            }
            else {
                document.getElementById('btnPortal').style.display = "none";
            }

            updateApps();
            
        });
        
    }

    window.onload = load;

}());